Index: src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java
===================================================================
--- src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -29,5 +29,5 @@
         http.csrf().disable()
                 .authorizeRequests()
-                .antMatchers("/movies","/movies/**/","/actors","/persons/**/","/directors","/discussions","/discussions/**/","/discussions/all/**/","/replies","/register","/genres", "/css/**","/img/**", "/js/**").permitAll()
+                .antMatchers("/movies","/movies/**/","/actors","/persons/**/","/directors","/discussions","/discussions/**/","/discussions/all/**/","/replies","/register","/genres", "/css/**", "/js/**").permitAll()
                 .anyRequest()
                 .authenticated()
Index: src/main/java/com/wediscussmovies/project/model/Genre.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Genre.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/model/Genre.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -22,9 +22,4 @@
     }
 
-    public Genre(int genreId, String genreType) {
-        this.genreId = genreId;
-        this.genreType = genreType;
-    }
-
     public Genre(String genreType) {
         this.genreType = genreType;
Index: src/main/java/com/wediscussmovies/project/model/Movie.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/model/Movie.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -66,17 +66,4 @@
     }
 
-    public Movie(int movieId, String title, Double imdbRating, String imageUrl) {
-        this.movieId = movieId;
-        this.title = title;
-        this.imdbRating = imdbRating;
-        this.imageUrl = imageUrl;
-    }
-
-    public String getDateFormatted(){
-        String dob = airingDate.toString();
-        String [] parts = dob.split("-");
-        return parts[2]+"/"+parts[1]+"/"+parts[0];
-    }
-
     @Override
     public boolean equals(Object o) {
Index: src/main/java/com/wediscussmovies/project/model/Person.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Person.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/model/Person.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -6,8 +6,5 @@
 
 import javax.persistence.*;
-import javax.swing.text.DateFormatter;
 import java.sql.Date;
-import java.time.LocalDate;
-import java.time.format.DateTimeFormatter;
 import java.util.Collection;
 
@@ -76,10 +73,4 @@
 
 
-    public String getDateFormatted(){
-        String dob = dateOfBirth.toString();
-        String [] parts = dob.split("-");
-        return parts[2]+"/"+parts[1]+"/"+parts[0];
-    }
-
 
     public Person(String name, String surname, Character type, Date dateOfBirth, String imageUrl, String description) {
Index: src/main/java/com/wediscussmovies/project/repository/DiscussionRepository.java
===================================================================
--- src/main/java/com/wediscussmovies/project/repository/DiscussionRepository.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/repository/DiscussionRepository.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -4,11 +4,7 @@
 import com.wediscussmovies.project.model.Movie;
 import com.wediscussmovies.project.model.Person;
-import com.wediscussmovies.project.querymodels.DiscussionLikes;
-import com.wediscussmovies.project.querymodels.GenreLikes;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Query;
 import org.springframework.stereotype.Repository;
 
-import javax.transaction.Transactional;
 import java.util.List;
 
@@ -18,10 +14,3 @@
      List<Discussion> findAllByMovie(Movie movie);
      List<Discussion> findAllByPerson (Person person);
-
-     @Query(value = "select new com.wediscussmovies.project.querymodels.DiscussionLikes(d.discussionId, count(dl.id.userId)) from Discussion d" +
-             " left join DiscussionLikes dl on dl.id.discussionId = d.discussionId" +
-             " group by d.discussionId" +
-             " order by count(dl.id.userId) desc")
-     @Transactional
-     List<DiscussionLikes> findAllWithLikes();
 }
Index: src/main/java/com/wediscussmovies/project/repository/GenreRepository.java
===================================================================
--- src/main/java/com/wediscussmovies/project/repository/GenreRepository.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/repository/GenreRepository.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -28,7 +28,3 @@
      @Transactional
      void insertInto(@Param("user_id")Integer userId, @Param("genre_id")Integer genreId);
-
-     @Query(value = "select new com.wediscussmovies.project.model.Genre (g.genreId, g.genreType) from Genre g" +
-     " ORDER BY g.genreType DESC")
-     List<Genre> findAllSorted();
 }
Index: src/main/java/com/wediscussmovies/project/repository/MovieRepository.java
===================================================================
--- src/main/java/com/wediscussmovies/project/repository/MovieRepository.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/repository/MovieRepository.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -3,14 +3,9 @@
 import com.wediscussmovies.project.model.Movie;
 import com.wediscussmovies.project.model.Person;
-import com.wediscussmovies.project.querymodels.GenreLikes;
-import com.wediscussmovies.project.querymodels.MovieLikesQM;
 import org.springframework.data.jpa.repository.JpaRepository;
 import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
 import org.springframework.stereotype.Repository;
 
-import javax.transaction.Transactional;
 import java.util.List;
-import java.util.Optional;
 
 @Repository
@@ -21,24 +16,3 @@
      @Query(value="select m.movieId from Movie m")
      List<Integer> findAllMovieIds();
-
-     @Query(value="select new com.wediscussmovies.project.model.Movie(m.movieId, m.title, m.imdbRating, m.imageUrl) from Movie m" +
-               " where m.movieId = :index")
-     Optional<Movie> findBasicById(@Param("index")Integer index);
-
-
-     @Query(value = "select new com.wediscussmovies.project.querymodels.MovieLikesQM(m.movieId, count(ml.id.userId)) from Movie m" +
-             " left join MovieLikes ml on ml.id.movieId = m.movieId" +
-             " group by m.movieId" +
-             " order by count(ml.id.userId) desc")
-     @Transactional
-     List<MovieLikesQM> findAllWithLikes();
-
-     @Query(value = "select new com.wediscussmovies.project.querymodels.MovieLikesQM(m.movieId, count(ml.id.userId)) from Movie m" +
-             " left join MovieLikes ml on ml.id.movieId = m.movieId" +
-             " group by m.movieId" +
-             " having m.movieId = :id")
-     @Transactional
-     List<MovieLikesQM> findLikesForMovie(@Param("id") Integer movie_id);
-
-
 }
Index: src/main/java/com/wediscussmovies/project/service/DiscussionService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/DiscussionService.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/DiscussionService.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -3,5 +3,4 @@
 import com.wediscussmovies.project.model.Discussion;
 import com.wediscussmovies.project.model.User;
-import com.wediscussmovies.project.querymodels.DiscussionLikes;
 
 import java.util.List;
@@ -17,8 +16,3 @@
     void unlikeDiscussion(Integer discussionId,Integer userId);
     List<Discussion> findAllForPersonOrMovie(Integer id,Character type);
-
-    List<Discussion> findLikedDiscussionsByUser(User user);
-
-    DiscussionLikes findLikesForDiscussionWithId(int discussionId);
-
 }
Index: src/main/java/com/wediscussmovies/project/service/MovieService.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/MovieService.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/MovieService.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -6,5 +6,4 @@
 import com.wediscussmovies.project.model.Person;
 import com.wediscussmovies.project.model.User;
-import com.wediscussmovies.project.querymodels.MovieLikesQM;
 import org.springframework.data.jpa.repository.Query;
 
@@ -18,5 +17,4 @@
      List<Movie> searchByTitle(String title);
      Movie findById(Integer id);
-     Movie findBasicById(Integer id);
      List<Integer> listAllIds();
      Movie save(String title, String description, String imageUrl, Date airingDate,Double  rating,
@@ -37,5 +35,3 @@
 
      void addGradeMovie(Integer movieId, User user, Grade grade);
-
-    MovieLikesQM findLikesForMovieById(int movieId);
 }
Index: src/main/java/com/wediscussmovies/project/service/impl/DiscussionServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/DiscussionServiceImpl.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/impl/DiscussionServiceImpl.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -5,17 +5,20 @@
 import com.wediscussmovies.project.model.exception.PersonNotExistException;
 import com.wediscussmovies.project.model.exception.UserNotExistException;
-import com.wediscussmovies.project.model.primarykeys.DiscussionLikesPK;
-import com.wediscussmovies.project.model.relation.DiscussionLikes;
-import com.wediscussmovies.project.repository.*;
+import com.wediscussmovies.project.repository.DiscussionRepository;
 import com.wediscussmovies.project.model.Discussion;
 import com.wediscussmovies.project.model.Movie;
 import com.wediscussmovies.project.model.Person;
 import com.wediscussmovies.project.model.User;
+import com.wediscussmovies.project.repository.MovieRepository;
+import com.wediscussmovies.project.repository.PersonRepository;
+import com.wediscussmovies.project.repository.UserRepository;
 import com.wediscussmovies.project.service.DiscussionService;
+import com.wediscussmovies.project.service.MovieService;
+import com.wediscussmovies.project.service.PersonService;
+import com.wediscussmovies.project.service.UserService;
 import org.springframework.stereotype.Service;
 
 import java.sql.Date;
 import java.time.LocalDate;
-import java.util.ArrayList;
 import java.util.List;
 
@@ -24,5 +27,4 @@
 
     private final DiscussionRepository discussionRepository;
-    private final DiscussionLikesRepository discussionLikesRepository;
     private final UserRepository userRepository;
 
@@ -30,8 +32,7 @@
     private final PersonRepository personRepository;
 
-    public DiscussionServiceImpl(DiscussionRepository discussionRepository, DiscussionLikesRepository discussionLikesRepository, UserRepository userRepository,
+    public DiscussionServiceImpl(DiscussionRepository discussionRepository, UserRepository userRepository,
                                  MovieRepository movieRepository, PersonRepository personRepository) {
         this.discussionRepository = discussionRepository;
-        this.discussionLikesRepository = discussionLikesRepository;
         this.userRepository = userRepository;
         this.movieRepository = movieRepository;
@@ -93,30 +94,11 @@
     @Override
     public void likeDiscussion(Integer discussionId, Integer userId) {
-        Discussion discussion = discussionRepository.findById(discussionId).orElseThrow(() -> new DiscussionNotExistException(discussionId));
-        User user = userRepository.findById(userId).orElseThrow(() -> new UserNotExistException(userId.toString()));
-        this.discussionLikesRepository.save(new DiscussionLikes(discussion, user));
-    }
-
-    @Override
-    public List<Discussion> findLikedDiscussionsByUser(User user) {
-        List<DiscussionLikes> likes = discussionLikesRepository.findAllByUser(user);
-        List<Discussion> discussions = new ArrayList<>();
-        for(DiscussionLikes dl: likes){
-            discussions.add(dl.getDiscussion());
-        }
-        return discussions;
+        //ova fali od dijagram
     }
 
     @Override
     public void unlikeDiscussion(Integer discussionId, Integer userId) {
-        DiscussionLikesPK pk = new DiscussionLikesPK(discussionId, userId);
-        this.discussionLikesRepository.deleteById(pk);
+        // ova fali od dijagram
     }
-
-    @Override
-    public com.wediscussmovies.project.querymodels.DiscussionLikes findLikesForDiscussionWithId(int discussionId) {
-        return discussionRepository.findAllWithLikes().stream().filter(d ->  d.getDiscussionId().equals(discussionId)).findFirst().get();
-    }
-
 
     @Override
Index: src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/impl/GenreServiceImpl.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -56,5 +56,5 @@
     @Override
     public List<Genre> findAll() {
-        return this.genreRepository.findAllSorted();
+        return this.genreRepository.findAll();
     }
 
Index: src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/impl/MovieServiceImpl.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -13,5 +13,4 @@
 import com.wediscussmovies.project.model.relation.MovieLikes;
 import com.wediscussmovies.project.model.relation.MovieRates;
-import com.wediscussmovies.project.querymodels.MovieLikesQM;
 import com.wediscussmovies.project.repository.*;
 import com.wediscussmovies.project.model.exception.MovieIdNotFoundException;
@@ -74,14 +73,4 @@
     public Movie findById(Integer id) {
         return this.movieRepository.findById(id).orElseThrow(() -> new MovieIdNotFoundException(id));
-    }
-
-    @Override
-    public Movie findBasicById(Integer id) {
-        return this.movieRepository.findBasicById(id).orElseThrow(() -> new MovieIdNotFoundException(id));
-    }
-
-    @Override
-    public MovieLikesQM findLikesForMovieById(int movieId) {
-        return this.movieRepository.findLikesForMovie(movieId).get(0);
     }
 
Index: src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java
===================================================================
--- src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/service/impl/PersonServiceImpl.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -9,5 +9,4 @@
 import com.wediscussmovies.project.model.primarykeys.PersonRatesPK;
 import com.wediscussmovies.project.model.relation.MovieActors;
-import com.wediscussmovies.project.model.relation.MovieLikes;
 import com.wediscussmovies.project.model.relation.PersonRates;
 import com.wediscussmovies.project.repository.*;
@@ -29,4 +28,5 @@
     private final MovieActorsRepository movieActorsRepository;
     private final PersonRatesRepository personRatesRepository;
+
     public PersonServiceImpl(PersonRepository personRepository,
                              MovieRepository movieRepository, MovieActorsRepository movieActorsRepository,
@@ -152,4 +152,5 @@
 
 
+
     private void addActorForMovies(Person person, List<Integer> movieIds){
 
Index: src/main/java/com/wediscussmovies/project/web/PageFrontMovies.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/PageFrontMovies.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/web/PageFrontMovies.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -32,8 +32,5 @@
 
         for(Integer id: movieIds){
-            //Trying to improve load times by not pulling all things from the database, excluding un-needed stuff
-            //
-            //movies.add(movieService.findById(id));
-            movies.add(movieService.findBasicById(id));
+            movies.add(movieService.findById(id));
         }
         model.addAttribute("page", page);
Index: src/main/java/com/wediscussmovies/project/web/controller/DiscussionController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/DiscussionController.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/web/controller/DiscussionController.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -5,5 +5,4 @@
 import com.wediscussmovies.project.model.Reply;
 import com.wediscussmovies.project.model.User;
-import com.wediscussmovies.project.model.relation.DiscussionLikes;
 import com.wediscussmovies.project.service.DiscussionService;
 import com.wediscussmovies.project.service.MovieService;
@@ -18,5 +17,4 @@
 import org.springframework.web.bind.annotation.*;
 
-import java.util.ArrayList;
 import java.util.List;
 
@@ -48,6 +46,4 @@
         model.addAttribute("contentTemplate", "discussionsList");
         model.addAttribute("user",LoggedUser.getLoggedUser());
-        this.addModelPropertiesForUser(model);
-        this.addModelPropertiesLikes(model,null, discussions);
         return "template";
     }
@@ -66,6 +62,4 @@
             model.addAttribute("user",LoggedUser.getLoggedUser());
             model.addAttribute("replies",this.replyService.findAllByDiscussion(disc));
-            addModelPropertiesLikes(model, disc, null);
-            addModelPropertiesForUser(model);
 
             return "template";
@@ -177,21 +171,4 @@
 
     }
-    private void addModelPropertiesForUser(Model model){
-        User user = LoggedUser.getLoggedUser();
-        model.addAttribute("likedDiscussions",this.discussionService.findLikedDiscussionsByUser(user));
-        model.addAttribute("user",user);
-    }
-    private void addModelPropertiesLikes(Model model, Discussion discussion, List<Discussion> discussions){
-        if(discussion==null){
-            List<com.wediscussmovies.project.querymodels.DiscussionLikes> discussionLikes = new ArrayList<>();
-            for(Discussion d: discussions){
-                discussionLikes.add(discussionService.findLikesForDiscussionWithId(d.getDiscussionId()));
-            }
-            model.addAttribute("likes", discussionLikes);
-        }
-        else{
-            model.addAttribute("likes",discussionService.findLikesForDiscussionWithId(discussion.getDiscussionId()).getLikes());
-        }
-    }
 
 
Index: src/main/java/com/wediscussmovies/project/web/controller/MovieController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -5,5 +5,4 @@
 import com.wediscussmovies.project.model.Person;
 import com.wediscussmovies.project.model.User;
-import com.wediscussmovies.project.querymodels.MovieLikesQM;
 import com.wediscussmovies.project.service.GenreService;
 import com.wediscussmovies.project.service.MovieService;
@@ -24,6 +23,4 @@
 import java.time.LocalDate;
 import java.util.ArrayList;
-import java.util.HashMap;
-import java.util.LinkedList;
 import java.util.List;
 
@@ -42,5 +39,5 @@
 
     @GetMapping("/old")
-    public String getMoviesOld(@RequestParam(required = false) String titleQuery, Model model,
+    public String getMovies(@RequestParam(required = false) String titleQuery, Model model,
                             @RequestParam(required = false) String error){
         List<Movie> movies;
@@ -59,5 +56,4 @@
         model.addAttribute("movie_rows", movie_rows);
         model.addAttribute("contentTemplate", "moviesList");
-        model.addAttribute("genres", genreService.findAll());
         if (error != null && !error.equals(" "))
             model.addAttribute("error",error);
@@ -67,5 +63,5 @@
 
     @GetMapping
-    public String getMovies(@RequestParam(required = false) String titleQuery, Model model,
+    public String getMoviesAlternative(@RequestParam(required = false) String titleQuery, Model model,
                             @RequestParam(required = false) String error, @RequestParam(required = false) String page){
         if (page==null){
@@ -76,8 +72,6 @@
         List<List<Movie>> movie_rows = new ArrayList<>();
         DesignFrontMovies.designMovieList(movies,movie_rows);
-        //addModelPropertiesForMoviesLikes(model, movies);
         model.addAttribute("movies", movies);
         model.addAttribute("movie_rows", movie_rows);
-        model.addAttribute("genres", genreService.findAll());
         model.addAttribute("contentTemplate", "moviesListPaged");
         if (error != null && !error.equals(" "))
@@ -90,5 +84,4 @@
         model.addAttribute("movie", movieService.findById(id));
         addModelPropertiesForUser(model);
-        model.addAttribute("likes", movieService.findLikesForMovieById(id).getLikes());
         model.addAttribute("contentTemplate", "movieShow");
         return "template";
@@ -196,11 +189,4 @@
         model.addAttribute("user",user);
     }
-    private void addModelPropertiesForMoviesLikes(Model model, List<Movie> movies){
-        HashMap<Integer,MovieLikesQM> movieLikes = new HashMap<>();
-        for(Movie m: movies){
-            movieLikes.put(m.getMovieId(),movieService.findLikesForMovieById(m.getMovieId()));
-        }
-        model.addAttribute("movieLikes", movieLikes);
-    }
 
 }
Index: src/main/java/com/wediscussmovies/project/web/controller/rest/MovieRestController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/rest/MovieRestController.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/web/controller/rest/MovieRestController.java	(revision ad4243e9a9e46a065706d093b2c5200c02d2d78e)
@@ -52,8 +52,4 @@
     public ResponseEntity addGrade(@PathVariable Integer movieId, @RequestBody Grade grade){
         try {
-            if(grade.getRating() < 5)
-                grade.setRating(5);
-            else if(grade.getRating()>10)
-                grade.setRating(10);
             this.movieService.addGradeMovie(movieId, LoggedUser.getLoggedUser(),grade);
             return ResponseEntity.ok(true);
